Bug 1645917 (python-nitime) - Review Request: python-nitime - Timeseries analysis for neuroscience data
Summary: Review Request: python-nitime - Timeseries analysis for neuroscience data
Keywords:
Status: CLOSED ERRATA
Alias: python-nitime
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2018-11-04 21:01 UTC by Ankur Sinha (FranciscoD)
Modified: 2018-11-17 05:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-17 02:08:21 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2018-11-04 21:01:19 UTC
Spec URL: https://ankursinha.fedorapeople.org/python-nitime/python-nitime.spec
SRPM URL: https://ankursinha.fedorapeople.org/python-nitime/python-nitime-0.8-0.1.git1fab571.fc29.src.rpm

Description:
Nitime is library of tools and algorithms for the analysis of time-series data
from neuroscience experiments. It contains a implementation of numerical
algorithms for time-series analysis both in the time and spectral domains, a
set of container objects to represent time-series, and auxiliary objects that
expose a high level interface to the numerical machinery and make common
analysis tasks easy to express with compact and semantically clear code.

Current information can always be found at the nitime website. Questions and
comments can be directed to the mailing list:
http://mail.scipy.org/mailman/listinfo/nipy-devel.

Documentation is available at http://nipy.org/nitime/documentation.html


Fedora Account System Username: ankursinha

Rawhide build: https://koji.fedoraproject.org/koji/taskinfo?taskID=30671724
F29 build: https://koji.fedoraproject.org/koji/taskinfo?taskID=30671731

Comment 1 Robert-André Mauchin 2018-11-06 18:36:55 UTC
 - Use %bcond_with/bcond_without for these:

# Multiple tests fail
%global run_tests 0

# The documentation fails to build on F29, so we'll just point to upstream
# documentation
%global with_doc 0


# Requires nibabel which is only available for python3-nibabel
%global with_py2 0


 - Py2 package: THANKS should be in a %doc not %license

 - Build was successful with doc and tests in Rawhide. I suggest enabling them.

 - Remove the sphinx-build leftovers:

python-nitime-doc.x86_64: W: hidden-file-or-dir /usr/share/doc/python-nitime-doc/html/.buildinfo

 - You doc subpackage should be noarch



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD 3-clause "New" or "Revised" License", "Unknown or
     generated". 160 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/python-nitime/review-
     python-nitime/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-nitime , python-nitime-doc , python-nitime-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 8376320 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-nitime-0.8-0.1.git1fab571.fc30.x86_64.rpm
          python-nitime-doc-0.8-0.1.git1fab571.fc30.x86_64.rpm
          python-nitime-debugsource-0.8-0.1.git1fab571.fc30.x86_64.rpm
          python-nitime-0.8-0.1.git1fab571.fc30.src.rpm
python3-nitime.x86_64: W: spelling-error Summary(en_US) Timeseries -> Time series, Time-series, Timeservers
python3-nitime.x86_64: W: spelling-error Summary(en_US) neuroscience -> pseudoscience
python3-nitime.x86_64: W: spelling-error %description -l en_US neuroscience -> pseudoscience
python-nitime-doc.x86_64: W: summary-ended-with-dot C Documentation for python-nitime.
python-nitime-doc.x86_64: W: hidden-file-or-dir /usr/share/doc/python-nitime-doc/html/.buildinfo
python-nitime.src: W: spelling-error Summary(en_US) Timeseries -> Time series, Time-series, Timeservers
python-nitime.src: W: spelling-error Summary(en_US) neuroscience -> pseudoscience
python-nitime.src: W: spelling-error %description -l en_US neuroscience -> pseudoscience
4 packages and 0 specfiles checked; 0 errors, 8 warnings.

Comment 2 Ankur Sinha (FranciscoD) 2018-11-06 23:06:09 UTC
Thanks for the review, Robert!

(In reply to Robert-André Mauchin from comment #1)
>  - Use %bcond_with/bcond_without for these:

These commands do not work on koji, so I don't find them particularly useful. I've got to then change the spec before committing to SCM, and I only use scratch builds to test my packages where these commands don't work either.

> 
> # Multiple tests fail
> %global run_tests 0
> 
> # The documentation fails to build on F29, so we'll just point to upstream
> # documentation
> %global with_doc 0
> 
> 
> # Requires nibabel which is only available for python3-nibabel
> %global with_py2 0
> 
> 
>  - Py2 package: THANKS should be in a %doc not %license

Gah---corrected.

> 
>  - Build was successful with doc and tests in Rawhide. I suggest enabling
> them.

Unfortunately not. The tests fail on i686:
https://koji.fedoraproject.org/koji/taskinfo?taskID=30715258

Igor already reported these upstream. I've added the tickets as comments to the spec file (and bumped them too).

I've enabled the docs on rawhide (F30+).

> 
>  - Remove the sphinx-build leftovers:
> 
> python-nitime-doc.x86_64: W: hidden-file-or-dir
> /usr/share/doc/python-nitime-doc/html/.buildinfo

Removed.

> 
>  - You doc subpackage should be noarch


Corrected.


 
> Generic:
> [!]: Large data in /usr/share should live in a noarch subpackage if package
>      is arched.
>      Note: Arch-ed rpms have a total of 8376320 bytes in /usr/share

This was the -doc sub package that has been corrected.

> series, Time-series, Timeservers
> python3-nitime.x86_64: W: spelling-error Summary(en_US) neuroscience ->
> pseudoscience
> python3-nitime.x86_64: W: spelling-error %description -l en_US neuroscience
> -> pseudoscience

Eh? Neuroscience is NOT pseudoscience!! XD

> python-nitime-doc.x86_64: W: summary-ended-with-dot C Documentation for
> python-nitime.

Corrected.

> python-nitime-doc.x86_64: W: hidden-file-or-dir
> /usr/share/doc/python-nitime-doc/html/.buildinfo

Removed.


New F29 build: https://koji.fedoraproject.org/koji/taskinfo?taskID=30715539
New rawhide build: https://koji.fedoraproject.org/koji/taskinfo?taskID=30715529

Updated spec/srpm:
https://ankursinha.fedorapeople.org/python-nitime/python-nitime.spec
https://ankursinha.fedorapeople.org/python-nitime/python-nitime-0.8-0.2.git1fab571.fc29.src.rpm

Cheers,
Ankur

Comment 3 Robert-André Mauchin 2018-11-08 11:30:29 UTC
LGTM, package approved.

Comment 4 Ankur Sinha (FranciscoD) 2018-11-08 11:38:46 UTC
Thank you, Robert. SCM requested.

Comment 5 Fedora Update System 2018-11-08 20:29:44 UTC
python-nitime-0.8-0.2.git1fab571.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4a17374ba2

Comment 6 Fedora Update System 2018-11-08 20:32:18 UTC
python-nitime-0.8-0.2.git1fab571.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e0b8748c55

Comment 7 Fedora Update System 2018-11-08 20:39:20 UTC
python-nitime-0.8-0.2.git1fab571.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6ff5e25689

Comment 8 Fedora Update System 2018-11-09 07:11:56 UTC
python-nitime-0.8-0.2.git1fab571.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6ff5e25689

Comment 9 Fedora Update System 2018-11-09 07:45:49 UTC
python-nitime-0.8-0.2.git1fab571.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4a17374ba2

Comment 10 Fedora Update System 2018-11-09 07:50:25 UTC
python-nitime-0.8-0.2.git1fab571.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e0b8748c55

Comment 11 Fedora Update System 2018-11-17 02:08:21 UTC
python-nitime-0.8-0.2.git1fab571.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-11-17 05:15:31 UTC
python-nitime-0.8-0.2.git1fab571.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-11-17 05:22:40 UTC
python-nitime-0.8-0.2.git1fab571.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.